HFST-TWOLC(1)

NAME
hfst-twolc - =

SYNOPSIS
hfst-twolc [OPTIONS...] INFILE

DESCRIPTION
Usage: hfst-twolc [OPTIONS...] -i INFILE Usage: hfst-twolc [OPTIONS...] --input=INFILE Usage: cat INFILE | hfst-twolc [OPTIONS...] An input file has to be given either using the option -i or --input, as the last commandline argument or from STDIN.

Read a twolc grammar, compile it and store it. If INFILE is missing, the grammar is read from STDIN. If there is no output file given using -o or --output, the compiled grammar is written to STDOUT.

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-u, --usage
    Print usage

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Do not print output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  TwolC grammar options:

-R, --resolve
    Resolve left-arrow conflicts.

-D, --dont-resolve-right Don't resolve right-arrow conflicts.

-f, --format=FORMAT
    Store result in format FORMAT.

Format may be one of openfst-log, openfst-tropical, foma or sfst.

By default format is openfst-tropical. By default right arrow conflicts are resolved and left arrow conflicts are not resolved.

hfst-twolc 0 (hfst 3.14.0) Copyright © 2010 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.